Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.reporters
Class Format

    java.lang.Object
      org.jbehave.core.reporters.Format

Direct Known Subclasses:
  CrossReference, StoryReporterBuilder.ProvidedFormat

    public abstract class Format

extends Object

A Format is a `StoryReporter` factory, allowing named-based pre-defined story reporters to be configured via the `StoryReporterBuilder.withFormats(Format...)` method. Users wanting to configure their custom defined story reporters, can do so via the `StoryReporterBuilder.withReporters(StoryReporter...)` method, or use the `StoryReporterBuilder.ProvidedFormat` wrapper.

Field Summary
`static Format` | `ANSI_CONSOLE`
`static Format` | `CONSOLE`
`static Format` | `HTML`
`static Format` | `HTML_TEMPLATE`
`static Format` | `IDE_CONSOLE`
`static Format` | `STATS` STATS is not just about output formats, it is needed by the final reports.html summary page.
`static Format` | `TXT`
`static Format` | `XML`
`static Format` | `XML_TEMPLATE`

Constructor Summary
`Format(String name)`

Method Summary
`abstract StoryReporter` | `createStoryReporter(FilePrintStreamFactory factory, StoryReporterBuilder storyReporterBuilder)`
`String` | `name()`
`static void` | `println(PrintStream writer, Object what)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CONSOLE

    public static final Format CONSOLE

### ANSI_CONSOLE

    public static final Format ANSI_CONSOLE

### IDE_CONSOLE

    public static final Format IDE_CONSOLE

### TXT

    public static final Format TXT

### HTML

    public static final Format HTML

### HTML_TEMPLATE

    public static final Format HTML_TEMPLATE

### XML

    public static final Format XML

### XML_TEMPLATE

    public static final Format XML_TEMPLATE

### STATS

    public static final Format STATS

  STATS is not just about output formats, it is needed by the final reports.html summary page.

Constructor Detail

### Format

    public Format(String name)

Method Detail

### name

    public String name()

### createStoryReporter

    public abstract StoryReporter createStoryReporter(FilePrintStreamFactory factory,
                                                      StoryReporterBuilder storyReporterBuilder)

### println

    public static void println(PrintStream writer,
                               Object what)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.